# Index

Symbols | _ | A | B | C | D | E | H | I | L | M | O | P | R | S | V

## Symbols

- --ipython-dir
  - command line option

## _

- _ipython_display_() (MyObject method)

- _repr_mimebundle_() (MyObject method)

## A

- autoreload
  - magic command

## B

- banner (MyKernel attribute)

## C

- command line option
  - --ipython-dir

- continuation_prompt_tokens() (MyPrompts method)

## D

- :doctest: (directive option)
  - ipython (directive)
- do_complete() (MyBetterKernel method)
- do_execute() (MyKernel method)

- do_history() (MyBetterKernel method)
- do_inspect() (MyBetterKernel method)
- do_is_complete() (MyBetterKernel method)
- do_shutdown() (MyBetterKernel method)

## E

- EDITOR, [1]
- environment variable
  - EDITOR, [1]
  - HOME
  - INPUTRC
  - IPYTHON_DIR, [1]
  - IPYTHONDIR, [1], [2], [3]
  - PATH
  - PYTHONSTARTUP, [1]

## H

- HOME

## I

- implementation (MyKernel attribute)
- implementation_version (MyKernel attribute)
- in_prompt_tokens() (MyPrompts method)
- INPUTRC
- ipython (directive)
  - :doctest: (directive option)
  - :okexcept: (directive option)
  - :okwarning: (directive option)
  - :python: (directive option)
  - :savefig: (directive option)
  - :suppress: (directive option)
  - :verbatim: (directive option)

- IPython.extensions.autoreload
  - module
- IPython.extensions.storemagic
  - module
- IPython.sphinxext.ipython_directive
  - module
- IPython.utils.py3compat
  - module
- IPYTHON_DIR, [1]
- IPYTHONDIR, [1], [2]

## L

- language (MyKernel attribute)

- language_info (MyKernel attribute)
- language_version (MyKernel attribute)

## M

- magic command
  - autoreload
- module
  - IPython.extensions.autoreload
  - IPython.extensions.storemagic
  - IPython.sphinxext.ipython_directive
  - IPython.utils.py3compat

- MyBetterKernel (built-in class)
- MyKernel (built-in class)
- MyObject (built-in class)
- MyPrompts (built-in class)

## O

- :okexcept: (directive option)
  - ipython (directive)

- :okwarning: (directive option)
  - ipython (directive)
- out_prompt_tokens() (MyPrompts method)

## P

- :python: (directive option)
  - ipython (directive)
- PATH

- Python Enhancement Proposals
  - PEP 678
- PYTHONSTARTUP, [1]

## R

- register() (in module IPython.terminal.pt_inputhooks)

- rewrite_prompt_tokens() (MyPrompts method)

## S

- :savefig: (directive option)
  - ipython (directive)

- :suppress: (directive option)
  - ipython (directive)
- store() (IPython.extensions.storemagic.StoreMagics method)

## V

- :verbatim: (directive option)
  - ipython (directive)